
// Templates fr bisher nicht erfate Worte aus offenen Wortklassen.

// All diese Regeln sind in extra.m4, damit andere Grammatiken
// gezwungen sind, normale Eintrge fr sie zu schreiben. Dadurch
// werden sie gleichzeitig in der Basisgrammatik bekannt. Wren diese
// Templates in base.m4, so fehlte dieser Anreiz.

// Unbekannte Verben

// Wir nehmen an, da alle unbekannten Verben den hufigsten Valenztyp
// haben: ac?.

'^[a-z]{2,}e[lr]?n$' =~ 
 [cat:VVINF, pattern:VVINF, infinitive:unknown, valence:'ac?'];

'^[a-z]{2,}zu[a-z]{2,}e[lr]?n$' =~ 
 [cat:VVIZU, pattern:VVIZU, infinitive:unknown, valence:'ac?'];

'^[a-z]{2,}t$' =~ 
 [cat:VVPP, pattern:VVPP, infinitive:unknown, perfect:haben, valence:'ac?'];

'^[a-z]{2,}e$' =~ 
 [cat:VVFIN, pattern:VVFIN1, infinitive:unknown, valence:'ac?',
  person:first, number:bot];

'^[a-z]{2,}e$' =~ 
 [cat:VVFIN, pattern:VVFIN2, infinitive:unknown, valence:'ac?',
  person:third, number:bot];

'^[a-z]{2,}st$' =~ 
 [cat:VVFIN, pattern:VVFIN3, infinitive:unknown, valence:'ac?',
  person:second, number:sg];

'^[a-z]{2,}t$' =~ 
 [cat:VVFIN, pattern:VVFIN4, infinitive:unknown, valence:'ac?',
  person:#1(third|second), number:#1(sg|pl)];

'^[a-z]{2,}e[lr]?n$' =~ 
 [cat:VVFIN, pattern:VVFIN5, infinitive:unknown, valence:'ac?',
  person:(first|third), number:pl];

// Unknown adjectives

'^[a-z]{3,}er$' =~
  [cat:ADJA, pattern:ADJA1,
   case:bot, gender:bot, number:bot, flexion: strong_mixed, suffix:er];

'^[a-z]{3,}e$' =~
  [cat:ADJA, pattern:ADJA2,
   case:nom_acc, gender:bot, number:bot, flexion: bot, suffix:e];

'^[a-z]{3,}em$' =~
  [cat:ADJA, pattern:ADJA3,
   case:dat, gender:not_fem, number:sg, flexion: strong, suffix:em];

'^[a-z]{3,}es$' =~
  [cat:ADJA, pattern:ADJA4,
   case:nom_acc, gender:neut, number:sg, flexion: strong_mixed, suffix:es];

'^[a-z]{3,}en$' =~
  [cat:ADJA, pattern:ADJA5,
   case:bot, gender:bot, number:bot, flexion: bot, suffix:en];

// `Bremer'
'^[A-Z]{3,}er$' =~
  [cat:ADJA, pattern:ADJA6,
   case:bot, gender:bot, number:bot, flexion: bot];




'^[a-z]{3,}$' =~
  [cat:ADJD, pattern:ADJD1, degree:positive];
'^[a-z]{3,}er$' =~
  [cat:ADJD, pattern:ADJD2, degree:comparative];
'^[a-z]{3,}[s]ten$' =~
  [cat:ADJD, pattern:ADJD3, degree:superlative];

// Unknown names

'^[A-Z][a-z]+[^-s]$' =~
  [cat:NE, pattern:NE1, person:third,number:bot,gender:bot,case:nom_dat_acc];
'^[A-Z][a-z]+s$' =~
  [cat:NE, pattern:NE2, person:third,number:bot,gender:bot,case:gen];

