#!/usr/bin/perl -p

# Dienstag
s/(Montag|Dienstag|Mittwoch|Donnerstag|Freitag|Sonnabend|Samstag|Sonntag)(s)?\b/WDAY($1)/g;
# Mittwoch Nachmittag -> Mittwochnachmittag
s/WDAY\(([^\)]+)\)(\s+)Nachmittag\b/WDAY($1nachmittag)/g;
# Dienstag Vormittag -> Dienstagvormittag
s/WDAY\(([^\)]+)\)(\s+)Vormittag\b/WDAY($1vormittag)/g;

s/(ein(e(r|n|m|s))?\s+)WDAY\(([^\)]+)\)/WDAY($1$4)/g;
s/(de(r|n|m|s)\s+)WDAY\(([^\)]+)\)/WDAY($1$3)/g;

s/(Januar|Februar|Mrz|April|Mai|Juni|Juli|August|September|Oktober|November|Dezember)(s)?\b/MNAME($1$2)/g;

s/\b(erste|zweite|dritte|vierte|fnfte|sechste|siebente|achte|neunte|zehnte|elfte|zwlfte|dreizehnte|vierzehnte|fnfzehnte|sechzehnte|siebzehnte|achtzehnte|neunzehnte|zwanzigste|einundzwanzigste|zweiundzwanzigste|dreiundzwanzigste|vierundzwanzigste|fnfundzwanzigste|sechsundzwanzigste|siebenundzwanzigste|achtundzwanzigste|neunundzwanzigste|dreiigste|einunddreiigste)(r|n)?\b/MDAY($1$2)/g;

s/(ein(e(r|n|m|s))?\s+)MDAY\(([^\)]+)\)/MDAY($1$4)/g;
s/(de(r|n|m|s)\s+)MDAY\(([^\)]+)\)/MDAY($1$3)/g;

s/MDAY\(([^\)]*)\)(\s+)MNAME\(([^\)]+)\)/MBAR($1$2$3)/g;
s/MDAY\(([^\)]*)\)/MBAR($1)/g;
s/MNAME\(([^\)]+)\)/MBAR($1)/g;
s/MBAR\(([^\)]+)\)/MP($1)/g;

s/WDAY\(([^\)]+)\)(\s+)MP\(([^\)]+)\)/DATUM($1$2$3)/g;
s/WDAY\(([^\)]+)\)/DATUM($1)/g;
s/MP\(([^\)]+)\)/DATUM($1)/g;

s/DATUM\(([^\)]*)\)/(DATUM $1)/g;
s/\(DATUM ([^\)]*)\)/(DATUM $1 DATUM)/g;
s/\(DATUM +/\(DATUM /;
s/ +DATUM\)/ DATUM\)/;
