/* Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: shift.h,v 1.4 2004/02/25 14:28:05 micha Exp $
 */

#ifndef SHIFT_H
#define SHIFT_H

/* ---------------------------------------------------------------------------
 * @addtogroup Shift 
 * @{
 */

/* -- INCLUDES ------------------------------------------------------------- */
#include <configure.h>

/* -- MACROS --------------------------------------------------------------- */

/* -- TYPE DEFINITIONS ----------------------------------------------------- */

/* -- VARIABLES ------------------------------------------------------------ */

/* -- FUNCTIONS ------------------------------------------------------------ */
extern Boolean shift_reduce(int no, char **args);
extern void shiftInitialize(void);
extern void shiftFinalize(void);

/* ------------------------------------------------------------------------- */
/** @} */
#endif /* don't insert anything after this #endif */
