#!@perl@

use warnings;
use strict;
use lib "@top_builddir@/bindings";
use lib "@top_builddir@/bindings/.libs";
use CDG;

my $debug = 0;
sub testCmdEval
{
  my $command = shift;
  print STDERR "DEBUG: command=$command\n" if $debug;
  commandEval $command or die $command;
}

testCmdEval "set verbosity 0" if !$debug;
testCmdEval "set debug on" if $debug;
testCmdEval "set preprocessor /bin/zcat";
testCmdEval "set prepsuffix .gz";
testCmdEval "load @testgrammar@";
testCmdEval "newnet @testsentence@";
testCmdEval "frobbing batch";
testCmdEval "verify";
cdgFinalize;

