#include "config.h"
#include <blah.h>
#include <tcl.h>

#ifndef SWIG_UTILS_H
#define SWIG_UTILS_H

#ifdef DEBUG_TYPEMAP
#define typemap_print(X) printf("INFO: typemap %s\n", X)  
#else
#define typemap_print(X)
#endif

#ifdef OLD_SWIG
extern int SWIG_MakePtr(char *_c, const void *_ptr, char *type);
#else
#define SWIG_MakePtr(c, ptr, type) \
{\
  char *cc = c; \
  if (ptr) { \
    *(cc++) = '_'; \
    cc = (char *)SWIG_PackData(cc,&ptr,sizeof(void *)); \
    strcpy(cc,type); \
  } else { \
    strcpy(cc,(char *)"NULL"); \
  } \
}
#endif

#endif /* end of file */
