#!/bin/bash 
# cdg/grammar/negra/compare.sh
#
initfile=${TMP:-/tmp}/negra-compare-init.$$


function cleanup {
  rm -f $initfile
}

trap cleanup 2 3 9 10 11 15

echo load negra.cdg >> $initfile

# switch off tagger
echo tagger >> $initfile

x=1
while [ $x -lt 3001 ]; do
  sentence=s$x
  echo anno2parse auto-negra-$sentence >> $initfile
  echo anno2parse negra-$sentence >> $initfile
  echo wordgraph negra-$sentence >> $initfile
  echo compareparses auto-negra-$sentence negra-$sentence >> $initfile
  echo parsedelete auto-negra-$sentence >> $initfile
  echo parsedelete negra-$sentence >> $initfile
  let x++
done

echo quit >> $initfile


../../cdgp/cdgp -i $initfile |\
egrep -v "differs|Governor's lexical reading|, checks|Accuracy"

cleanup
