/* A Bison parser, made by GNU Bison 1.875a.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     CTRUE = 258,
     CFALSE = 259,
     LABEL = 260,
     LEVEL = 261,
     TBEGIN_LATTICE = 262,
     TEND_LATTICE = 263,
     ISDEFINEDBY = 264,
     MATCHES = 265,
     MAP = 266,
     CTOP = 267,
     CBOTTOM = 268,
     CNONE = 269,
     CINVERSE = 270,
     CIDENT = 271,
     BIIMPL = 272,
     IMPL = 273,
     LPMI = 274,
     NEQ = 275,
     LSEQ = 276,
     GTEQ = 277,
     NUM = 278,
     STR = 279
   };
#endif
#define CTRUE 258
#define CFALSE 259
#define LABEL 260
#define LEVEL 261
#define TBEGIN_LATTICE 262
#define TEND_LATTICE 263
#define ISDEFINEDBY 264
#define MATCHES 265
#define MAP 266
#define CTOP 267
#define CBOTTOM 268
#define CNONE 269
#define CINVERSE 270
#define CIDENT 271
#define BIIMPL 272
#define IMPL 273
#define LPMI 274
#define NEQ 275
#define LSEQ 276
#define GTEQ 277
#define NUM 278
#define STR 279




/* Copy the first part of user declarations.  */
#line 19 "parser.y"

#include <configure.h>
#include "my_libgen.h"
  
#include <stdio.h>
#include <math.h>
#include <string.h>
#include <regex.h>
#include <blah.h>
#include "hook.h"
#include "input.h"
#include "parsing.h"
#include "predicates.h"
#include "functions.h"

/*
#define YYDEBUG 1
#define YYERROR_VERBOSE
*/
/* --- FORWARD DECLARATION ----------------------------- */
/* ----------------------------------------------------- */

Input parseResult = (Input)NULL;
int parseNoOfErrors = 0;
int parseNoOfWarnings = 0;

List variables = (List)NULL;
static Connexion theConnexion;
int timepoint = 0;
int arcCounter = 0;
int hierarchyDepth = 0;
int levelCounter = 0;
Boolean is_context_sensitive;
Hashtable current_map = NULL;
 
#define BUFFER_LIMIT 550
/* 
 * This is used only for converting integers to strings, 
 * i.e. 2^64 (==18446744073709551616) should be the upper limit.
 * 
 * 550 - schould be fine for path + filename + integer
 */
static char buffer[BUFFER_LIMIT];

String lastValidFound = NULL;
int lastValidLineNo = -1;

void yyLastValidFound( String s );


/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 73 "parser.y"
typedef union YYSTYPE {
  AnnoEntry ANNOENTRY;
  Annotation ANNOTATION;
  Arc ARC;
  AVNode AVNODE;
  Connexion CONNEXION;
  Constraint CONSTRAINT;
  Direction DIRECTION;
  Property PROPERTY;
  Formula FORMULA;
  FormulaType FORMULATYPE;
  Hierarchy HIERARCHY;
  Input INPUT;
  Lattice LATTICE;
  Level LEVELDECL;
  LexiconItem LEXICONITEM;
  List LIST;
  Number NUMBER;
  Sort SORT;
  Specification SPECIFICATION;
  String STRING;
  Subsumption SUBSUMPTION;
  Term TERM;
  Value VALUE;
  VarInfo VARINFO;
  List VARLIST;
} YYSTYPE;
/* Line 191 of yacc.c.  */
#line 202 "parser.c"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 214 of yacc.c.  */
#line 214 "parser.c"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   379

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  50
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  47
/* YYNRULES -- Number of rules. */
#define YYNRULES  144
/* YYNRULES -- Number of states. */
#define YYNSTATES  288

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   279

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    42,     2,    46,     2,     2,    20,     2,
      43,    44,    31,    29,    36,    30,    49,    32,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    35,    45,
      24,    22,    23,     2,    48,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    40,    37,    41,    47,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,    19,    39,    21,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    25,    26,    27,    28,    33,    34
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned short yyprhs[] =
{
       0,     0,     3,     9,    13,    15,    20,    22,    26,    31,
      39,    49,    56,    65,    69,    71,    74,    76,    80,    84,
      88,    90,    92,    94,    96,    98,   100,   102,   104,   106,
     118,   132,   142,   154,   162,   164,   166,   168,   170,   172,
     176,   178,   182,   186,   188,   192,   193,   197,   200,   202,
     204,   208,   211,   216,   220,   224,   228,   232,   236,   239,
     241,   245,   249,   251,   255,   259,   265,   270,   273,   275,
     280,   282,   284,   285,   289,   293,   297,   301,   305,   309,
     313,   319,   323,   327,   329,   333,   337,   342,   348,   353,
     359,   365,   373,   377,   379,   383,   385,   387,   389,   391,
     393,   395,   397,   399,   400,   406,   410,   412,   416,   422,
     423,   426,   430,   434,   438,   440,   444,   448,   452,   456,
     460,   464,   468,   472,   477,   481,   483,   485,   489,   491,
     493,   496,   498,   500,   502,   506,   510,   514,   520,   524,
     526,   530,   533,   535,   539
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      75,     0,    -1,    34,    35,    34,    17,    52,    -1,    52,
      36,    53,    -1,    53,    -1,    33,    33,    34,    87,    -1,
      34,    -1,    33,    33,    34,    -1,    33,    33,    34,    33,
      -1,    33,    33,    34,    33,    33,    33,    72,    -1,    33,
      33,    24,    34,    23,    33,    33,    33,    72,    -1,    33,
      33,    34,    33,    33,    33,    -1,    33,    33,    24,    34,
      23,    33,    33,    33,    -1,    56,    36,    54,    -1,    54,
      -1,    57,    55,    -1,    55,    -1,    34,    35,    93,    -1,
      33,    35,    93,    -1,    59,    36,    93,    -1,    93,    -1,
      36,    -1,    12,    -1,    13,    -1,    32,    -1,    37,    -1,
      14,    -1,    15,    -1,    16,    -1,    38,    96,    39,    35,
      34,    35,    34,    35,    33,    35,    67,    -1,    38,    96,
      39,    35,    34,    35,    34,    35,    40,    90,    41,    35,
      67,    -1,    38,    96,    39,    35,    34,    35,    33,    35,
      67,    -1,    38,    96,    39,    35,    34,    35,    40,    90,
      41,    35,    67,    -1,    38,    96,    39,    35,    34,    35,
      67,    -1,    35,    -1,    19,    -1,    42,    -1,    37,    -1,
      32,    -1,    63,    19,    93,    -1,    93,    -1,    34,    22,
      34,    -1,    65,    36,    64,    -1,    64,    -1,    40,    65,
      41,    -1,    -1,    34,    60,    34,    -1,    34,    62,    -1,
       3,    -1,     4,    -1,    43,    67,    44,    -1,    21,    67,
      -1,    34,    43,    91,    44,    -1,    67,    20,    67,    -1,
      67,    19,    67,    -1,    67,    18,    67,    -1,    67,    17,
      67,    -1,    90,    82,    90,    -1,    68,    34,    -1,    34,
      -1,    68,    11,    93,    -1,    70,    36,    69,    -1,    69,
      -1,    34,    18,    83,    -1,    34,    18,    89,    -1,    72,
      43,    34,    73,    44,    -1,    43,    34,    73,    44,    -1,
      73,    74,    -1,    74,    -1,    43,    34,    73,    44,    -1,
      34,    -1,    33,    -1,    -1,    75,    79,    45,    -1,    75,
      78,    45,    -1,    75,    61,    45,    -1,    75,    77,    45,
      -1,    75,    51,    45,    -1,    75,    80,    45,    -1,    75,
      71,    45,    -1,    75,    34,    11,    70,    45,    -1,    75,
       1,    45,    -1,    76,    36,    34,    -1,    34,    -1,    34,
      35,    56,    -1,     7,    57,     8,    -1,    34,    66,    46,
      76,    -1,    34,     9,    34,    35,    93,    -1,    34,     9,
      40,    41,    -1,    34,     9,    40,    59,    41,    -1,    34,
      10,    40,    59,    41,    -1,    40,    96,    41,    35,    33,
      35,    67,    -1,    81,    35,    34,    -1,    34,    -1,    81,
      35,    33,    -1,    33,    -1,    22,    -1,    23,    -1,    24,
      -1,    28,    -1,    27,    -1,    26,    -1,    34,    -1,    -1,
      34,    43,    84,    85,    44,    -1,    85,    36,    83,    -1,
      83,    -1,    34,    32,    34,    -1,    34,    18,    34,    18,
      33,    -1,    -1,    87,    86,    -1,    34,    18,    92,    -1,
      34,    25,    92,    -1,    89,    36,    88,    -1,    88,    -1,
      34,    47,    81,    -1,    34,    48,    81,    -1,    34,    49,
       5,    -1,    34,    49,     6,    -1,    90,    29,    90,    -1,
      90,    30,    90,    -1,    90,    31,    90,    -1,    90,    32,
      90,    -1,    34,    43,    91,    44,    -1,    40,    90,    41,
      -1,    34,    -1,    33,    -1,    91,    36,    90,    -1,    90,
      -1,    34,    -1,    92,    34,    -1,    33,    -1,    34,    -1,
      58,    -1,    24,    94,    23,    -1,    40,    59,    41,    -1,
      43,    63,    44,    -1,    46,    33,    43,    63,    44,    -1,
      94,    36,    93,    -1,    93,    -1,    34,    62,    34,    -1,
      34,    62,    -1,    34,    -1,    95,    60,    95,    -1,    95,
      -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short yyrline[] =
{
       0,   179,   179,   192,   196,   203,   211,   218,   225,   235,
     242,   249,   256,   266,   270,   278,   282,   289,   295,   305,
     324,   331,   336,   341,   346,   351,   356,   361,   366,   373,
     416,   457,   479,   501,   525,   530,   535,   540,   545,   552,
     556,   563,   572,   576,   583,   588,   594,   636,   662,   669,
     676,   680,   687,   711,   719,   727,   735,   743,   754,   758,
     765,   772,   776,   783,   791,   803,   808,   818,   829,   844,
     848,   854,   864,   870,   876,   882,   890,   904,   912,   918,
     926,   934,   941,   945,   952,   964,  1003,  1019,  1026,  1036,
    1046,  1060,  1078,  1083,  1088,  1094,  1103,  1104,  1105,  1106,
    1107,  1108,  1112,  1120,  1120,  1135,  1140,  1148,  1152,  1160,
    1163,  1170,  1184,  1201,  1205,  1212,  1238,  1264,  1289,  1314,
    1322,  1330,  1338,  1346,  1370,  1374,  1381,  1391,  1395,  1402,
    1406,  1413,  1419,  1425,  1431,  1473,  1479,  1486,  1496,  1500,
    1507,  1517,  1527,  1540,  1546
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "CTRUE", "CFALSE", "LABEL", "LEVEL", 
  "TBEGIN_LATTICE", "TEND_LATTICE", "ISDEFINEDBY", "MATCHES", "MAP", 
  "CTOP", "CBOTTOM", "CNONE", "CINVERSE", "CIDENT", "BIIMPL", "IMPL", 
  "'|'", "'&'", "'~'", "'='", "'>'", "'<'", "LPMI", "NEQ", "LSEQ", "GTEQ", 
  "'+'", "'-'", "'*'", "'/'", "NUM", "STR", "':'", "','", "'\\\\'", "'{'", 
  "'}'", "'['", "']'", "'!'", "'('", "')'", "';'", "'#'", "'^'", "'@'", 
  "'.'", "$accept", "AnnoEntry", "AnnoList", "Annotation", "Arc", "ArcVM", 
  "ArcList", "ArcListVM", "AttributeValue", "Conjunction", "Connexion", 
  "Constraint", "Direction", "Disjunction", "Property", "Properties", 
  "PropertyList", "Formula", "Stringlist", "Hashentry", "Hashentrylist", 
  "Hierarchy", "InfoString", "InfoModule", "InfoItem", "InputSeq", 
  "LabelList", "Lattice", "Level", "LexiconItem", "Parameter", "Path", 
  "RelationType", "Sort", "@1", "SortList", "Specification", "SpecSeq", 
  "Subsumption", "SubsumptionList", "Term", "TermList", "TypeSeq", 
  "Value", "ValueList", "VarInfo", "VarList", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   124,
      38,   126,    61,    62,    60,   274,   275,   276,   277,    43,
      45,    42,    47,   278,   279,    58,    44,    92,   123,   125,
      91,    93,    33,    40,    41,    59,    35,    94,    64,    46
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    50,    51,    52,    52,    53,    54,    54,    54,    55,
      55,    55,    55,    56,    56,    57,    57,    58,    58,    59,
      59,    60,    60,    60,    60,    60,    60,    60,    60,    61,
      61,    61,    61,    61,    62,    62,    62,    62,    62,    63,
      63,    64,    65,    65,    66,    66,    67,    67,    67,    67,
      67,    67,    67,    67,    67,    67,    67,    67,    68,    68,
      69,    70,    70,    71,    71,    72,    72,    73,    73,    74,
      74,    74,    75,    75,    75,    75,    75,    75,    75,    75,
      75,    75,    76,    76,    77,    77,    78,    79,    79,    79,
      79,    80,    81,    81,    81,    81,    82,    82,    82,    82,
      82,    82,    83,    84,    83,    85,    85,    86,    86,    87,
      87,    88,    88,    89,    89,    90,    90,    90,    90,    90,
      90,    90,    90,    90,    90,    90,    90,    91,    91,    92,
      92,    93,    93,    93,    93,    93,    93,    93,    94,    94,
      95,    95,    95,    96,    96
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     5,     3,     1,     4,     1,     3,     4,     7,
       9,     6,     8,     3,     1,     2,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,    11,
      13,     9,    11,     7,     1,     1,     1,     1,     1,     3,
       1,     3,     3,     1,     3,     0,     3,     2,     1,     1,
       3,     2,     4,     3,     3,     3,     3,     3,     2,     1,
       3,     3,     1,     3,     3,     5,     4,     2,     1,     4,
       1,     1,     0,     3,     3,     3,     3,     3,     3,     3,
       5,     3,     3,     1,     3,     3,     4,     5,     4,     5,
       5,     7,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     3,     1,     3,     5,     0,
       2,     3,     3,     3,     1,     3,     3,     3,     3,     3,
       3,     3,     3,     4,     3,     1,     1,     3,     1,     1,
       2,     1,     1,     1,     3,     3,     3,     5,     3,     1,
       3,     2,     1,     3,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
      72,     0,     1,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    81,     0,    16,     0,     0,
       0,     0,     0,     0,     0,     0,   142,   144,     0,     0,
      77,    75,    79,    76,    74,    73,    78,     0,    85,    15,
       0,     0,     0,    59,     0,    62,     0,   102,    63,   114,
      64,     0,     6,    14,    84,     0,    43,     0,     0,    35,
      38,    34,    37,    36,   141,    22,    23,    26,    27,    28,
      24,    21,    25,     0,     0,     0,     0,     0,     0,     0,
     131,   132,     0,    88,     0,     0,   133,     0,    20,     0,
       0,    58,     0,    80,     0,     0,   103,     0,     0,     0,
       0,     0,     0,    44,    83,    86,   140,   143,     0,     0,
       0,     0,    87,   139,     0,     0,     0,     0,     0,    40,
       0,     0,    89,    90,    60,    61,   129,   111,   112,     0,
       0,   113,     7,     0,     2,     4,     6,    13,    41,    42,
       0,     0,     0,     0,     0,   134,     0,    18,    17,   135,
       0,   136,     0,    19,   130,   102,   106,     0,     8,     0,
       0,    82,     0,     0,     0,    11,   138,    39,     0,     0,
     104,   109,     3,    48,    49,     0,   126,   125,     0,     0,
      33,     0,   126,   125,     0,    91,     0,     0,     9,   137,
     105,     5,    51,     0,    38,    34,    37,     0,     0,     0,
       0,     0,    47,   125,     0,     0,     0,     0,     0,     0,
      96,    97,    98,   101,   100,    99,     0,     0,     0,     0,
       0,     0,    12,     0,     0,     0,   110,    31,     0,     0,
     128,     0,    95,    93,   115,   116,   117,   118,    46,     0,
     124,    50,    56,    55,    54,    53,   119,   120,   121,   122,
      57,   124,    10,    71,    70,     0,     0,    68,     0,     0,
       0,     0,     0,     0,   123,     0,     0,     0,     0,    66,
      67,     0,     0,   107,    29,     0,   127,    94,    92,   123,
      32,     0,    65,     0,     0,    69,   108,    30
};

/* YYDEFGOTO[NTERM-NUM]. */
static const short yydefgoto[] =
{
      -1,     8,   134,   135,    53,    17,    54,    18,    86,    87,
     201,     9,   202,   118,    56,    57,    25,   180,    44,    45,
      46,    10,   188,   256,   257,     1,   105,    11,    12,    13,
      14,   234,   220,    48,   129,   157,   226,   191,    49,    50,
     181,   231,   127,    88,   114,    27,    28
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -219
static const short yypact[] =
{
    -219,    68,  -219,    32,     7,    79,    69,    69,    90,    96,
     120,   154,   186,   193,   208,  -219,   136,  -219,     6,    21,
     216,   223,   224,    66,   225,   215,    88,   143,   227,   219,
    -219,  -219,  -219,  -219,  -219,  -219,  -219,    48,  -219,  -219,
     228,   152,   157,  -219,    -8,  -219,    56,   -14,  -219,  -219,
     229,   231,   245,  -219,   232,   247,  -219,   160,   233,  -219,
    -219,  -219,  -219,  -219,   236,  -219,  -219,  -219,  -219,  -219,
    -219,  -219,  -219,    69,   237,   238,   240,   242,   157,   157,
     241,   243,   157,  -219,   157,   244,  -219,   199,  -219,   200,
     157,  -219,   223,  -219,   246,   246,  -219,   248,   249,   251,
     104,   252,   225,  -219,  -219,   235,  -219,  -219,   253,   255,
     256,   257,  -219,  -219,   -13,   157,   157,   201,    39,  -219,
     250,   157,  -219,  -219,  -219,  -219,  -219,   258,   258,   260,
     106,  -219,   262,   263,   261,  -219,  -219,  -219,  -219,  -219,
     264,   254,   265,   266,   268,  -219,   157,  -219,  -219,  -219,
     157,  -219,   157,  -219,  -219,   259,  -219,   124,  -219,   269,
     251,  -219,    31,    33,   271,   267,  -219,  -219,    40,   260,
    -219,  -219,  -219,  -219,  -219,    33,   270,    97,   -16,    33,
     226,   195,  -219,   135,   -16,   226,   273,   274,   272,  -219,
    -219,   275,  -219,    33,   277,    82,   278,   -16,   214,   214,
      16,   279,  -219,   185,   132,    61,    33,    33,    33,    33,
    -219,  -219,  -219,  -219,  -219,  -219,   -16,   -16,   -16,   -16,
     -16,   175,   267,   196,   280,    -5,  -219,   226,   281,   -16,
     183,   130,  -219,  -219,   282,   282,  -219,  -219,  -219,   -16,
     283,  -219,   169,   230,   287,  -219,   220,   220,  -219,  -219,
     183,  -219,   272,  -219,  -219,   285,    52,  -219,   196,   286,
     288,    33,   179,   -16,   -12,   221,   158,    33,   196,  -219,
    -219,    84,   303,  -219,   226,   289,   183,  -219,  -219,  -219,
     226,   109,  -219,   290,    33,  -219,  -219,   226
};

/* YYPGOTO[NTERM-NUM].  */
static const short yypgoto[] =
{
    -219,  -219,  -219,   121,   191,   307,  -219,  -219,  -219,   -41,
     299,  -219,   301,   133,   234,  -219,  -219,  -163,  -219,   239,
    -219,  -219,   107,  -132,  -218,  -219,  -219,  -219,  -219,  -219,
    -219,   129,  -219,  -127,  -219,  -219,  -219,  -219,   276,  -219,
    -169,    91,   284,   -59,  -219,   291,   325
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -53
static const short yytable[] =
{
     185,    89,   156,    90,    94,   -52,   -52,   -52,   -52,   204,
     145,    95,   192,   259,    38,   221,   205,   182,   203,   112,
     113,   236,   237,   146,   184,   119,    91,   260,   230,    96,
     227,   124,   -52,   -52,   173,   174,   173,   174,   270,    16,
      16,   117,   190,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   175,   270,   175,    40,   147,   148,   150,   150,
     262,    41,   153,   270,   176,   177,   182,   183,     2,     3,
     230,   178,    76,   184,   179,     4,   179,    15,   206,   207,
     208,   209,    77,   151,   189,   253,   254,   166,    19,    20,
      21,   167,    92,   119,   276,   255,   269,    22,   274,    51,
      52,    93,     5,    26,   280,   241,     6,    59,     7,    65,
      66,    67,    68,    69,    23,   228,    59,   253,   254,    24,
      60,   287,   229,    61,    94,    62,   271,   255,   282,   194,
      63,    95,   195,    71,   196,    30,   281,    51,   136,    63,
     197,    31,   253,   254,   198,   199,   200,    65,    66,    67,
      68,    69,   255,   285,    59,    65,    66,    67,    68,    69,
     169,   216,   217,   218,   219,    32,   263,   194,   170,    37,
      61,    71,   196,   240,   264,    70,    79,    63,   197,    71,
      72,    79,   198,   199,   200,    80,    81,   207,   208,   209,
      80,    81,    82,    83,   263,    84,   102,    82,    85,    33,
      84,   103,   279,    85,   216,   217,   218,   219,   216,   217,
     218,   219,   216,   217,   218,   219,   251,   210,   211,   212,
     275,   213,   214,   215,   216,   217,   218,   219,   239,   253,
     254,    34,   198,   199,   200,   121,   121,   121,    35,   255,
     122,   123,   149,   206,   207,   208,   209,   232,   233,   208,
     209,   218,   219,    36,   277,   278,    42,    43,    47,    55,
      75,    58,    99,    78,    98,    97,    74,   104,   100,   101,
     106,   140,   108,   109,   110,   111,   115,   120,   116,   143,
     126,   172,   130,   132,   133,   168,   138,   141,   142,   162,
     144,   137,   154,   152,   155,   158,   159,   160,   161,   164,
     163,   165,    96,   171,   186,   193,   222,   209,   223,   225,
     187,   -24,   -25,   238,   258,   224,   261,   265,   267,   268,
     272,   283,   273,   286,   284,    39,    73,    64,   235,   252,
     266,   125,    29,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   107,     0,     0,     0,     0,     0,
       0,     0,     0,   131,     0,     0,     0,     0,     0,   128
};

static const short yycheck[] =
{
     163,    42,   129,    11,    18,    17,    18,    19,    20,   178,
      23,    25,   175,    18,     8,   184,   179,    33,    34,    78,
      79,     5,     6,    36,    40,    84,    34,    32,   197,    43,
     193,    90,    44,    45,     3,     4,     3,     4,   256,    33,
      33,    82,   169,   206,   207,   208,   209,   216,   217,   218,
     219,   220,    21,   271,    21,    34,   115,   116,    19,    19,
     229,    40,   121,   281,    33,    34,    33,    34,     0,     1,
     239,    40,    24,    40,    43,     7,    43,    45,    17,    18,
      19,    20,    34,    44,    44,    33,    34,   146,     9,    10,
      11,   150,    36,   152,   263,    43,    44,    18,   261,    33,
      34,    45,    34,    34,   267,    44,    38,    19,    40,    12,
      13,    14,    15,    16,    35,    33,    19,    33,    34,    40,
      32,   284,    40,    35,    18,    37,   258,    43,    44,    32,
      42,    25,    35,    36,    37,    45,   268,    33,    34,    42,
      43,    45,    33,    34,    47,    48,    49,    12,    13,    14,
      15,    16,    43,    44,    19,    12,    13,    14,    15,    16,
      36,    29,    30,    31,    32,    45,    36,    32,    44,    33,
      35,    36,    37,    41,    44,    32,    24,    42,    43,    36,
      37,    24,    47,    48,    49,    33,    34,    18,    19,    20,
      33,    34,    40,    41,    36,    43,    36,    40,    46,    45,
      43,    41,    44,    46,    29,    30,    31,    32,    29,    30,
      31,    32,    29,    30,    31,    32,    41,    22,    23,    24,
      41,    26,    27,    28,    29,    30,    31,    32,    43,    33,
      34,    45,    47,    48,    49,    36,    36,    36,    45,    43,
      41,    41,    41,    17,    18,    19,    20,    33,    34,    19,
      20,    31,    32,    45,    33,    34,    40,    34,    34,    34,
      41,    46,    17,    35,    33,    36,    39,    34,    36,    22,
      34,    36,    35,    35,    34,    33,    35,    33,    35,    23,
      34,   160,    34,    34,    33,   152,    34,    34,    33,    35,
      33,   100,    34,    43,    34,    33,    33,    36,    34,    33,
      35,    33,    43,    34,    33,    35,    33,    20,    34,    34,
      43,    34,    34,    34,    34,    43,    35,    35,    35,    34,
      34,    18,    34,    33,    35,    18,    27,    26,   199,   222,
     239,    92,     7,    -1,    -1,    -1,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,    95
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,    75,     0,     1,     7,    34,    38,    40,    51,    61,
      71,    77,    78,    79,    80,    45,    33,    55,    57,     9,
      10,    11,    18,    35,    40,    66,    34,    95,    96,    96,
      45,    45,    45,    45,    45,    45,    45,    33,     8,    55,
      34,    40,    40,    34,    68,    69,    70,    34,    83,    88,
      89,    33,    34,    54,    56,    34,    64,    65,    46,    19,
      32,    35,    37,    42,    62,    12,    13,    14,    15,    16,
      32,    36,    37,    60,    39,    41,    24,    34,    35,    24,
      33,    34,    40,    41,    43,    46,    58,    59,    93,    59,
      11,    34,    36,    45,    18,    25,    43,    36,    33,    17,
      36,    22,    36,    41,    34,    76,    34,    95,    35,    35,
      34,    33,    93,    93,    94,    35,    35,    59,    63,    93,
      33,    36,    41,    41,    93,    69,    34,    92,    92,    84,
      34,    88,    34,    33,    52,    53,    34,    54,    34,    64,
      36,    34,    33,    23,    33,    23,    36,    93,    93,    41,
      19,    44,    43,    93,    34,    34,    83,    85,    33,    33,
      36,    34,    35,    35,    33,    33,    93,    93,    63,    36,
      44,    34,    53,     3,     4,    21,    33,    34,    40,    43,
      67,    90,    33,    34,    40,    67,    33,    43,    72,    44,
      83,    87,    67,    35,    32,    35,    37,    43,    47,    48,
      49,    60,    62,    34,    90,    67,    17,    18,    19,    20,
      22,    23,    24,    26,    27,    28,    29,    30,    31,    32,
      82,    90,    33,    34,    43,    34,    86,    67,    33,    40,
      90,    91,    33,    34,    81,    81,     5,     6,    34,    43,
      41,    44,    67,    67,    67,    67,    90,    90,    90,    90,
      90,    41,    72,    33,    34,    43,    73,    74,    34,    18,
      32,    35,    90,    36,    44,    35,    91,    35,    34,    44,
      74,    73,    34,    34,    67,    41,    90,    33,    34,    44,
      67,    73,    44,    18,    35,    44,    33,    67
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrlab1


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)         \
  Current.first_line   = Rhs[1].first_line;      \
  Current.first_column = Rhs[1].first_column;    \
  Current.last_line    = Rhs[N].last_line;       \
  Current.last_column  = Rhs[N].last_column;
#endif

/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YYDSYMPRINT(Args)			\
do {						\
  if (yydebug)					\
    yysymprint Args;				\
} while (0)

# define YYDSYMPRINTF(Title, Token, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Token, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (cinluded).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short *bottom, short *top)
#else
static void
yy_stack_print (bottom, top)
    short *bottom;
    short *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylineno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylineno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YYDSYMPRINT(Args)
# define YYDSYMPRINTF(Title, Token, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    {
      YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
# ifdef YYPRINT
      YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
    }
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yytype, yyvaluep)
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YYDSYMPRINTF ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %s, ", yytname[yytoken]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 180 "parser.y"
    {
      yyLastValidFound( "annotation" );
      yyval.ANNOENTRY = (AnnoEntry)memMalloc( sizeof(AnnoEntryStruct) );
      yyval.ANNOENTRY->id = yyvsp[-4].STRING;
      yyval.ANNOENTRY->lattice = yyvsp[-2].STRING;
      yyval.ANNOENTRY->annos = yyvsp[0].LIST;
      yyval.ANNOENTRY->filename = parseCurrentFile;
      yyval.ANNOENTRY->lineNo = parseLineNo;
    }
    break;

  case 3:
#line 193 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].ANNOTATION );
    }
    break;

  case 4:
#line 197 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].ANNOTATION );
    }
    break;

  case 5:
#line 204 "parser.y"
    {
      yyval.ANNOTATION = newAnnotation(yyvsp[-3].NUMBER, yyvsp[-2].NUMBER, yyvsp[-1].STRING);
      yyval.ANNOTATION->specs = yyvsp[0].LIST;
    }
    break;

  case 6:
#line 212 "parser.y"
    {
      yyLastValidFound( "arc" );
      yyval.ARC = newArc(timepoint, timepoint+1, arcCounter, yyvsp[0].STRING, 0.0, NULL, 0, 0);
      arcCounter++;
      timepoint++;
    }
    break;

  case 7:
#line 219 "parser.y"
    {
      yyLastValidFound( "arc" );
      yyval.ARC = newArc((int)yyvsp[-2].NUMBER,(int)yyvsp[-1].NUMBER, arcCounter, yyvsp[0].STRING, 0.0, NULL, 0, 0);
      timepoint = max( timepoint, yyval.ARC->to );
      arcCounter++;
    }
    break;

  case 8:
#line 226 "parser.y"
    {
      yyLastValidFound( "arc" );
      yyval.ARC = newArc((int)yyvsp[-3].NUMBER,(int)yyvsp[-2].NUMBER, arcCounter, yyvsp[-1].STRING, yyvsp[0].NUMBER, NULL, 0, 0);
      timepoint = max( timepoint, yyval.ARC->to );
      arcCounter++;
    }
    break;

  case 9:
#line 236 "parser.y"
    {
      yyLastValidFound( "VM arc" );
      yyval.ARC = newArc((int)yyvsp[-6].NUMBER,(int)yyvsp[-5].NUMBER, arcCounter,  yyvsp[-4].STRING, yyvsp[-3].NUMBER, yyvsp[0].VALUE, (int)yyvsp[-2].NUMBER, (int)yyvsp[-1].NUMBER);
      timepoint = max( timepoint, yyval.ARC->to );
      arcCounter++;
    }
    break;

  case 10:
#line 243 "parser.y"
    {
      yyLastValidFound( "VM arc" );
      yyval.ARC = newArc((int)yyvsp[-8].NUMBER,(int)yyvsp[-7].NUMBER, arcCounter, yyvsp[-5].STRING, yyvsp[-3].NUMBER, yyvsp[0].VALUE, (int)yyvsp[-2].NUMBER, (int)yyvsp[-1].NUMBER);
      timepoint = max( timepoint, yyval.ARC->to );
      arcCounter++;
    }
    break;

  case 11:
#line 250 "parser.y"
    {
      yyLastValidFound( "VM arc" );
      yyval.ARC = newArc((int)yyvsp[-5].NUMBER,(int)yyvsp[-4].NUMBER, arcCounter, yyvsp[-3].STRING, yyvsp[-2].NUMBER, NULL, (int)yyvsp[-1].NUMBER, (int)yyvsp[0].NUMBER);
      timepoint = max( timepoint, yyval.ARC->to );
      arcCounter++;
    }
    break;

  case 12:
#line 257 "parser.y"
    {
      yyLastValidFound( "VM arc" );
      yyval.ARC = newArc((int)yyvsp[-7].NUMBER,(int)yyvsp[-6].NUMBER, arcCounter, yyvsp[-4].STRING, yyvsp[-2].NUMBER, NULL, (int)yyvsp[-1].NUMBER, (int)yyvsp[0].NUMBER);
      timepoint = max( timepoint, yyval.ARC->to );
      arcCounter++;
    }
    break;

  case 13:
#line 267 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].ARC );
    }
    break;

  case 14:
#line 271 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].ARC );
    }
    break;

  case 15:
#line 279 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-1].LIST, yyvsp[0].ARC );
    }
    break;

  case 16:
#line 283 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].ARC );
    }
    break;

  case 17:
#line 290 "parser.y"
    {
      yyval.AVNODE = (AVNode)memMalloc( sizeof(AVNodeStruct) );
      yyval.AVNODE->attribute = yyvsp[-2].STRING;
      yyval.AVNODE->value = yyvsp[0].VALUE;
    }
    break;

  case 18:
#line 296 "parser.y"
    {
      yyval.AVNODE = (AVNode)memMalloc( sizeof(AVNodeStruct) );
      sprintf( buffer, "%d", (int)yyvsp[-2].NUMBER);
      yyval.AVNODE->attribute = strRegister( buffer );
      yyval.AVNODE->value = yyvsp[0].VALUE;
    }
    break;

  case 19:
#line 306 "parser.y"
    {
      /* check for over-specified values */
      if(yyvsp[0].VALUE->type == VTAVNode) {
	List l;
	String att = ((AVNode)yyvsp[0].VALUE->data.avnode)->attribute;
	Value v;
	
	for(l = yyvsp[-2].LIST; l != NULL; l = listNext(l)) {
	  v = listElement(l);
	  if(v->type == VTAVNode) {
	    if(!strcmp(((AVNode)v->data.avnode)->attribute, att)) {
	      yywarning("feature multiply specified");
	    }
	  } 
	}
      }
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].VALUE );
    }
    break;

  case 20:
#line 325 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].VALUE );
    }
    break;

  case 21:
#line 332 "parser.y"
    {
      yyval.CONNEXION = AnyCon; 
    }
    break;

  case 22:
#line 337 "parser.y"
    {
      yyval.CONNEXION = Top; 
   }
    break;

  case 23:
#line 342 "parser.y"
    {
      yyval.CONNEXION = Bottom; 
    }
    break;

  case 24:
#line 347 "parser.y"
    {
      yyval.CONNEXION = Over; 
    }
    break;

  case 25:
#line 352 "parser.y"
    {
      yyval.CONNEXION = Under; 
    }
    break;

  case 26:
#line 357 "parser.y"
    {
      yyval.CONNEXION = None;
    }
    break;

  case 27:
#line 362 "parser.y"
    {
      yyval.CONNEXION = Inverse; 
    }
    break;

  case 28:
#line 367 "parser.y"
    {
      yyval.CONNEXION = Identical; 
    }
    break;

  case 29:
#line 374 "parser.y"
    { 
      List l;
      Section s;

      yyLastValidFound( "constraint" );
      yyval.CONSTRAINT = (Constraint)memMalloc( sizeof(ConstraintStruct) );
      yyval.CONSTRAINT->vars = yyvsp[-9].VARLIST;
      yyval.CONSTRAINT->sig = (Signature)memMalloc( sizeof(SignatureStruct) );
      yyval.CONSTRAINT->sig->arity = listSize( yyvsp[-9].VARLIST );
      yyval.CONSTRAINT->sig->conn = theConnexion;
      yyval.CONSTRAINT->id = yyvsp[-6].STRING;
      yyval.CONSTRAINT->penaltyTerm = NULL;
      yyval.CONSTRAINT->penalty = yyvsp[-2].NUMBER;
      yyval.CONSTRAINT->formula = yyvsp[0].FORMULA;
      yyval.CONSTRAINT->active = TRUE;
      yyval.CONSTRAINT->filename = parseCurrentFile;
      yyval.CONSTRAINT->lineNo = parseLineNo;
      yyval.CONSTRAINT->cfunction = NULL;
      variables = NULL;

      for ( l = inputSections;
	    l != NULL && strcmp( ((Section)listElement(l))->id, yyvsp[-4].STRING ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	/* new section found */
	s = (Section)memMalloc( sizeof(SectionStruct) );
	s->id = yyvsp[-4].STRING;
	s->active = TRUE;
	s->counter = 1;
	inputSections = listAppendElement( inputSections, s );
	yyval.CONSTRAINT->section = s;
      } else {
	yyval.CONSTRAINT->section = (Section)listElement(l);
	yyval.CONSTRAINT->section->counter++;
	cdgFreeString( yyvsp[-4].STRING );
      }
      yyval.CONSTRAINT->is_context_sensitive = is_context_sensitive;
      is_context_sensitive = FALSE;

    }
    break;

  case 30:
#line 417 "parser.y"
    { 
      List l;
      Section s;

      yyLastValidFound( "constraint" );
      yyval.CONSTRAINT = (Constraint)memMalloc( sizeof(ConstraintStruct) );
      yyval.CONSTRAINT->vars = yyvsp[-11].VARLIST;
      yyval.CONSTRAINT->sig = (Signature)memMalloc( sizeof(SignatureStruct) );
      yyval.CONSTRAINT->sig->arity = listSize( yyvsp[-11].VARLIST );
      yyval.CONSTRAINT->sig->conn = theConnexion;
      yyval.CONSTRAINT->id = yyvsp[-8].STRING;
      yyval.CONSTRAINT->penaltyTerm = yyvsp[-3].TERM;
      yyval.CONSTRAINT->penalty = 0.0;
      yyval.CONSTRAINT->formula = yyvsp[0].FORMULA;
      yyval.CONSTRAINT->active = TRUE;
      yyval.CONSTRAINT->filename = parseCurrentFile;
      yyval.CONSTRAINT->lineNo = parseLineNo;
      yyval.CONSTRAINT->cfunction = NULL;
      variables = NULL;

      for ( l = inputSections;
	    l != NULL && strcmp( ((Section)listElement(l))->id, yyvsp[-6].STRING ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	s = (Section)memMalloc( sizeof(SectionStruct) );
	s->id = yyvsp[-6].STRING;
	s->active = TRUE;
	s->counter = 1;
	inputSections = listAppendElement( inputSections, s );
	yyval.CONSTRAINT->section = s;
      } else {
	yyval.CONSTRAINT->section = (Section)listElement(l);
	yyval.CONSTRAINT->section->counter++;
	cdgFreeString( yyvsp[-6].STRING );
      }
      yyval.CONSTRAINT->is_context_sensitive = is_context_sensitive;
      is_context_sensitive = FALSE;
    }
    break;

  case 31:
#line 458 "parser.y"
    { 
      yyLastValidFound( "constraint" );
      yyval.CONSTRAINT = (Constraint)memMalloc( sizeof(ConstraintStruct) );
      yyval.CONSTRAINT->vars = yyvsp[-7].VARLIST;
      yyval.CONSTRAINT->sig = (Signature)memMalloc( sizeof(SignatureStruct) );
      yyval.CONSTRAINT->sig->arity = listSize( yyvsp[-7].VARLIST );
      yyval.CONSTRAINT->sig->conn = theConnexion;
      yyval.CONSTRAINT->id = yyvsp[-4].STRING;
      yyval.CONSTRAINT->section = inputDefaultSection;
      inputDefaultSection->counter++;
      yyval.CONSTRAINT->penaltyTerm = NULL;
      yyval.CONSTRAINT->penalty = yyvsp[-2].NUMBER;
      yyval.CONSTRAINT->formula = yyvsp[0].FORMULA;
      yyval.CONSTRAINT->active = TRUE;
      yyval.CONSTRAINT->filename = parseCurrentFile;
      yyval.CONSTRAINT->lineNo = parseLineNo;
      yyval.CONSTRAINT->cfunction = NULL;
      variables = NULL;
      yyval.CONSTRAINT->is_context_sensitive = is_context_sensitive;
      is_context_sensitive = FALSE;
    }
    break;

  case 32:
#line 480 "parser.y"
    { 
      yyLastValidFound( "constraint" );
      yyval.CONSTRAINT = (Constraint)memMalloc( sizeof(ConstraintStruct) );
      yyval.CONSTRAINT->vars = yyvsp[-9].VARLIST;
      yyval.CONSTRAINT->sig = (Signature)memMalloc( sizeof(SignatureStruct) );
      yyval.CONSTRAINT->sig->arity = listSize( yyvsp[-9].VARLIST );
      yyval.CONSTRAINT->sig->conn = theConnexion;
      yyval.CONSTRAINT->id = yyvsp[-6].STRING;
      yyval.CONSTRAINT->section = inputDefaultSection;
      inputDefaultSection->counter++;
      yyval.CONSTRAINT->penaltyTerm = yyvsp[-3].TERM;
      yyval.CONSTRAINT->penalty = 0.0;
      yyval.CONSTRAINT->formula = yyvsp[0].FORMULA;
      yyval.CONSTRAINT->active = TRUE;
      yyval.CONSTRAINT->filename = parseCurrentFile;
      yyval.CONSTRAINT->lineNo = parseLineNo;
      yyval.CONSTRAINT->cfunction = NULL;
      variables = NULL;
      yyval.CONSTRAINT->is_context_sensitive = is_context_sensitive;
      is_context_sensitive = FALSE;
    }
    break;

  case 33:
#line 502 "parser.y"
    { 
      yyLastValidFound( "constraint" );
      yyval.CONSTRAINT = (Constraint)memMalloc( sizeof(ConstraintStruct) );
      yyval.CONSTRAINT->vars = yyvsp[-5].VARLIST;
      yyval.CONSTRAINT->sig = (Signature)memMalloc( sizeof(SignatureStruct) );
      yyval.CONSTRAINT->sig->arity = listSize( yyvsp[-5].VARLIST );
      yyval.CONSTRAINT->sig->conn = theConnexion;
      yyval.CONSTRAINT->id = yyvsp[-2].STRING;
      yyval.CONSTRAINT->penaltyTerm = NULL;
      yyval.CONSTRAINT->penalty = 0.0;
      yyval.CONSTRAINT->section = inputDefaultSection;
      yyval.CONSTRAINT->formula = yyvsp[0].FORMULA;
      yyval.CONSTRAINT->active = TRUE;
      yyval.CONSTRAINT->filename = parseCurrentFile;
      yyval.CONSTRAINT->lineNo = parseLineNo;
      yyval.CONSTRAINT->cfunction = NULL;
      variables = NULL;
      yyval.CONSTRAINT->is_context_sensitive = is_context_sensitive;
      is_context_sensitive = FALSE;
    }
    break;

  case 34:
#line 526 "parser.y"
    {
      yyval.DIRECTION = AnyDir; 
    }
    break;

  case 35:
#line 531 "parser.y"
    {
      yyval.DIRECTION = Nil; 
    }
    break;

  case 36:
#line 536 "parser.y"
    {
      yyval.DIRECTION = NonNil; 
    }
    break;

  case 37:
#line 541 "parser.y"
    {
      yyval.DIRECTION = Left; 
    }
    break;

  case 38:
#line 546 "parser.y"
    {
      yyval.DIRECTION = Right; 
    }
    break;

  case 39:
#line 553 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].VALUE );
    }
    break;

  case 40:
#line 557 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].VALUE );
    }
    break;

  case 41:
#line 564 "parser.y"
    {
      yyval.PROPERTY = (Property)memMalloc( sizeof(PropertyStruct) );
      yyval.PROPERTY->name = yyvsp[-2].STRING;
      yyval.PROPERTY->value = yyvsp[0].STRING;
    }
    break;

  case 42:
#line 573 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].PROPERTY );
    }
    break;

  case 43:
#line 577 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].PROPERTY );
    }
    break;

  case 44:
#line 584 "parser.y"
    {
      yyval.LIST = yyvsp[-1].LIST;
    }
    break;

  case 45:
#line 588 "parser.y"
    {
      yyval.LIST = NULL;
    }
    break;

  case 46:
#line 595 "parser.y"
    {
      List l;

      yyLastValidFound( "formula (Connexion)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTConnexion;
      yyval.FORMULA->data.connexion.c = yyvsp[-1].CONNEXION;

      /* seek first variable */
      for ( l = variables;
	    l != NULL && strcmp( yyvsp[-2].STRING, ((VarInfo)listElement(l))->varname ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: false use of undeclared variable `%s'\n", 
		  parseCurrentFile, parseLineNo, yyvsp[-2].STRING);
	parseNoOfErrors++;
	yyval.FORMULA->data.connexion.var1 = NULL;
      } else {
	yyval.FORMULA->data.connexion.var1 = listElement(l);
      }
      cdgFreeString( yyvsp[-2].STRING );
      /* seek second variable */
      for ( l = variables;
	    l != NULL && strcmp( yyvsp[0].STRING, ((VarInfo)listElement(l))->varname ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: false use of undeclared variable `%s'\n", 
		  parseCurrentFile, parseLineNo, yyvsp[0].STRING);
	parseNoOfErrors++;
	yyval.FORMULA->data.connexion.var2 = NULL;
      } else {
	yyval.FORMULA->data.connexion.var2 = listElement(l);
      }
      cdgFreeString( yyvsp[0].STRING );
    }
    break;

  case 47:
#line 637 "parser.y"
    {
      List l;

      yyLastValidFound( "formula (Direction)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTDirection;
      yyval.FORMULA->data.direction.d = yyvsp[0].DIRECTION;

      /* seek variable */
      for ( l = variables;
	    l != NULL && strcmp( yyvsp[-1].STRING, ((VarInfo)listElement(l))->varname ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: false use of undeclared variable `%s'\n", 
		  parseCurrentFile, parseLineNo, yyvsp[-1].STRING);
	parseNoOfErrors++;
	yyval.FORMULA->data.direction.var = NULL;
      } else {
	yyval.FORMULA->data.direction.var = listElement(l);
      }
      cdgFreeString( yyvsp[-1].STRING );
    }
    break;

  case 48:
#line 663 "parser.y"
    {
      yyLastValidFound( "formula (true)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTConstant;
      yyval.FORMULA->data.constant = TRUE;
    }
    break;

  case 49:
#line 670 "parser.y"
    {
      yyLastValidFound( "formula (false)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTConstant;
      yyval.FORMULA->data.constant = FALSE;
    }
    break;

  case 50:
#line 677 "parser.y"
    {
      yyval.FORMULA = yyvsp[-1].FORMULA;
    }
    break;

  case 51:
#line 681 "parser.y"
    {
      yyLastValidFound( "formula (negation)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTNegation;
      yyval.FORMULA->data.formula = yyvsp[0].FORMULA;
    }
    break;

  case 52:
#line 688 "parser.y"
    {
      CDGPredicate p;
      yyLastValidFound( "formula (predicate)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTPredicate;
      yyval.FORMULA->data.predicate.functor = yyvsp[-3].STRING;
      yyval.FORMULA->data.predicate.function = NULL;
      yyval.FORMULA->data.predicate.args = yyvsp[-1].LIST;      

      p = predGetFunction(yyvsp[-3].STRING);
      if (!p) 
	{
	  cdgPrintf(CDG_ERROR,
		    "ERROR: %s:%d: predicate `%s' unknown\n", 
		    parseCurrentFile, parseLineNo, yyvsp[-3].STRING );
	  parseNoOfErrors++;
	} else {
          yyval.FORMULA->data.predicate.function = p->function;
          if(p->is_context_sensitive) {
            is_context_sensitive = TRUE;
          }
        }
    }
    break;

  case 53:
#line 712 "parser.y"
    { 
      yyLastValidFound( "formula (conjunction)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTConjunction;
      yyval.FORMULA->data.junction.arg1 = yyvsp[-2].FORMULA;      
      yyval.FORMULA->data.junction.arg2 = yyvsp[0].FORMULA;
    }
    break;

  case 54:
#line 720 "parser.y"
    { 
      yyLastValidFound( "formula (disjunction)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTDisjunction;
      yyval.FORMULA->data.junction.arg1 = yyvsp[-2].FORMULA;      
      yyval.FORMULA->data.junction.arg2 = yyvsp[0].FORMULA;
    }
    break;

  case 55:
#line 728 "parser.y"
    { 
      yyLastValidFound( "formula (implication)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTImplication;
      yyval.FORMULA->data.junction.arg1 = yyvsp[-2].FORMULA;      
      yyval.FORMULA->data.junction.arg2 = yyvsp[0].FORMULA;
    }
    break;

  case 56:
#line 736 "parser.y"
    { 
      yyLastValidFound( "formula (equivalence)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = FTBiimplication;
      yyval.FORMULA->data.junction.arg1 = yyvsp[-2].FORMULA;      
      yyval.FORMULA->data.junction.arg2 = yyvsp[0].FORMULA;
    }
    break;

  case 57:
#line 744 "parser.y"
    {
      yyLastValidFound( "formula (relation)" );
      yyval.FORMULA = (Formula)memMalloc( sizeof(FormulaStruct) );
      yyval.FORMULA->type = yyvsp[-1].FORMULATYPE;
      yyval.FORMULA->data.relation.op1 = yyvsp[-2].TERM;      
      yyval.FORMULA->data.relation.op2 = yyvsp[0].TERM;
    }
    break;

  case 58:
#line 755 "parser.y"
    {
    yyval.LIST = listAppendElement(yyvsp[-1].LIST, yyvsp[0].STRING);
  }
    break;

  case 59:
#line 759 "parser.y"
    {
    yyval.LIST = listPrependElement(NULL, yyvsp[0].STRING);
  }
    break;

  case 60:
#line 766 "parser.y"
    {
    yyval.LIST = listAppendElement(yyvsp[-2].LIST, yyvsp[0].VALUE);
  }
    break;

  case 61:
#line 773 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].LIST );
    }
    break;

  case 62:
#line 777 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].LIST );
    }
    break;

  case 63:
#line 784 "parser.y"
    {
      hierarchyDepth = 0;
      yyLastValidFound( "hierarchy(Sort)" );
      yyval.HIERARCHY = inputSortTreeToHierarchy( yyvsp[-2].STRING, yyvsp[0].SORT );
      yyval.HIERARCHY->filename = parseCurrentFile;
      yyval.HIERARCHY->lineNo = parseLineNo;
    }
    break;

  case 64:
#line 792 "parser.y"
    {
      hierarchyDepth = 0;
      yyLastValidFound( "hierarchy(SubsumptionList)" );
      yyval.HIERARCHY = inputSubsumptionListToHierarchy( yyvsp[-2].STRING, yyvsp[0].LIST );
      yyval.HIERARCHY->filename = parseCurrentFile;
      yyval.HIERARCHY->lineNo = parseLineNo;
    }
    break;

  case 65:
#line 804 "parser.y"
    {
      yyval.VALUE = yyvsp[-4].VALUE;
      yyval.VALUE->data.list = listAppendElement(yyvsp[-4].VALUE->data.list, newValueAV(yyvsp[-2].STRING, yyvsp[-1].VALUE) );
   }
    break;

  case 66:
#line 809 "parser.y"
    {
      yyval.VALUE = (Value)memMalloc(sizeof(ValueStruct));
      yyval.VALUE->type = VTConjunction;      

      yyval.VALUE->data.list = listPrependElement(NULL, newValueAV(yyvsp[-2].STRING, yyvsp[-1].VALUE));  
   }
    break;

  case 67:
#line 819 "parser.y"
    { /* is a Conjunction of Values */
    yyval.VALUE = yyvsp[-1].VALUE;
    if (yyvsp[0].VALUE->type == VTAVNode) {
       yyval.VALUE->data.list = listAppendElement(yyvsp[-1].VALUE->data.list, yyvsp[0].VALUE);
    } else {
       /* Pack it into an attribute value pair */
       sprintf(buffer, "%d", listSize(yyvsp[-1].VALUE->data.list) + 1);
       yyval.VALUE->data.list = listAppendElement(yyvsp[-1].VALUE->data.list, newValueAV( buffer, yyvsp[0].VALUE));
    }
 }
    break;

  case 68:
#line 830 "parser.y"
    {
   /* Module info is a Conjunction of Values */
    yyval.VALUE = (Value)memMalloc(sizeof(ValueStruct)); 
    yyval.VALUE->type = VTConjunction;
    if (yyvsp[0].VALUE->type==VTAVNode) {
       yyval.VALUE->data.list = listPrependElement(NULL, yyvsp[0].VALUE);
    } else {
       /* Pack it into attribute value couple */
       yyval.VALUE->data.list = listPrependElement(NULL, newValueAV("1", yyvsp[0].VALUE));
    }
 }
    break;

  case 69:
#line 845 "parser.y"
    {   /* InfoItem is a attribute value couple  */
    yyval.VALUE = newValueAV(yyvsp[-2].STRING, yyvsp[-1].VALUE);
 }
    break;

  case 70:
#line 849 "parser.y"
    {  /* or a string */
    yyval.VALUE = (Value)memMalloc(sizeof(ValueStruct));
    yyval.VALUE->type = VTString;
    yyval.VALUE->data.string = yyvsp[0].STRING;
 }
    break;

  case 71:
#line 855 "parser.y"
    { /* or a number */
   yyval.VALUE = (Value)memMalloc(sizeof(ValueStruct));
   yyval.VALUE->type = VTNumber;
   yyval.VALUE->data.number = yyvsp[0].NUMBER;
 }
    break;

  case 72:
#line 864 "parser.y"
    {
      yyval.INPUT = parseResult;
      levelCounter = 0;
      lastValidFound = NULL;
      lastValidLineNo = -1;
    }
    break;

  case 73:
#line 871 "parser.y"
    {
      yyLastValidFound( "lexical entry & semicolon" );
      inputInsertLI(yyvsp[-2].INPUT, yyvsp[-1].LEXICONITEM);
      yyval.INPUT = yyvsp[-2].INPUT;
    }
    break;

  case 74:
#line 877 "parser.y"
    {
      yyLastValidFound( "level declaration & semicolon" );
      yyvsp[-2].INPUT->levels = listAppendElement( yyvsp[-2].INPUT->levels, yyvsp[-1].LEVELDECL );
      yyval.INPUT = yyvsp[-2].INPUT;
    }
    break;

  case 75:
#line 883 "parser.y"
    {
      yyLastValidFound( "constraint & semicolon" );
      if(hashSet(yyvsp[-2].INPUT->constraints, yyvsp[-1].CONSTRAINT->id, yyvsp[-1].CONSTRAINT )) {
        cdgPrintf(CDG_WARNING, "WARNING: constraint `%s' redefined\n", yyvsp[-1].CONSTRAINT->id);
      }
      yyval.INPUT = yyvsp[-2].INPUT;
    }
    break;

  case 76:
#line 891 "parser.y"
    {
      yyLastValidFound( "word graph & semicolon" );
      /*
	if(!trivialise($2)) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: excessive timepoint found in word graph `%s'\n", 
		  parseCurrentFile, parseLineNo, $2->id);
	parseNoOfErrors++;
      }
      */
      yyvsp[-2].INPUT->lattices = listPrependElement(yyvsp[-2].INPUT->lattices, yyvsp[-1].LATTICE);
      yyval.INPUT = yyvsp[-2].INPUT;
    }
    break;

  case 77:
#line 905 "parser.y"
    {
      yyLastValidFound( "annotation & semicolon" );
      if(hashSet(yyvsp[-2].INPUT->annotations, yyvsp[-1].ANNOENTRY->id, yyvsp[-1].ANNOENTRY)) {
        cdgPrintf(CDG_WARNING, "WARNING: annotation `%s' redefined\n", yyvsp[-1].ANNOENTRY->id);
      }
      yyval.INPUT = yyvsp[-2].INPUT;
    }
    break;

  case 78:
#line 913 "parser.y"
    {
      yyLastValidFound( "parameter & semicolon" );
      yyvsp[-2].INPUT->parameters = listAppendElement( yyvsp[-2].INPUT->parameters, yyvsp[-1].CONSTRAINT );
      yyval.INPUT = yyvsp[-2].INPUT;
    }
    break;

  case 79:
#line 919 "parser.y"
    {
      yyLastValidFound( "hierarchy & semicolon" );
      if(hashSet(yyvsp[-2].INPUT->hierarchies, yyvsp[-1].HIERARCHY->id, yyvsp[-1].HIERARCHY)) {
        cdgPrintf(CDG_WARNING, "WARNING: hierarchy `%s' redefined\n", yyvsp[-1].HIERARCHY->id);
      }
      yyval.INPUT = yyvsp[-2].INPUT;
    }
    break;

  case 80:
#line 927 "parser.y"
    {
      yyLastValidFound( "hash table & semicolon" );
      if(hashSet(yyvsp[-4].INPUT->maps, yyvsp[-3].STRING, inputHashFromList(yyvsp[-1].LIST))) {
        cdgPrintf(CDG_WARNING, "WARNING: map `%s' redefined\n", yyvsp[-3].STRING);
      }
      yyval.INPUT = yyvsp[-4].INPUT;
    }
    break;

  case 81:
#line 935 "parser.y"
    {
      yyerrok;
    }
    break;

  case 82:
#line 942 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].STRING );
    }
    break;

  case 83:
#line 946 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].STRING );
    }
    break;

  case 84:
#line 953 "parser.y"
    {
      yyLastValidFound( "word graph" );
      yyval.LATTICE = (Lattice)memMalloc( sizeof(LatticeStruct) );
      yyval.LATTICE->id = yyvsp[-2].STRING;
      yyval.LATTICE->arcs = yyvsp[0].LIST;
      yyval.LATTICE->filename = parseCurrentFile;
      yyval.LATTICE->lineNo = parseLineNo;
      timepoint = 0;
      arcCounter = 0;
      inputScanLattice(yyval.LATTICE);
    }
    break;

  case 85:
#line 967 "parser.y"
    {
      yyLastValidFound( "VM word graph" );
      yyval.LATTICE = (Lattice)memMalloc( sizeof(LatticeStruct) );

       /* a VM Lattice has no name so
          the name is constructed of the file name 
          and file position */
      snprintf(buffer, BUFFER_LIMIT, "%s_%04d", 
               basename(parseCurrentFile), 
               parseLineNo - listSize(yyvsp[-1].LIST) - 1);

      yyval.LATTICE->id = strRegister(buffer);
      yyval.LATTICE->arcs = yyvsp[-1].LIST;
      yyval.LATTICE->filename = parseCurrentFile;
      yyval.LATTICE->lineNo = parseLineNo;
      timepoint = 0;      
      arcCounter = 0;
      vmAdjustAcousticScore(yyval.LATTICE);
      inputScanLattice(yyval.LATTICE);
    }
    break;

  case 86:
#line 1004 "parser.y"
    {
      yyLastValidFound( "level declaration" );
      yyval.LEVELDECL = (Level)memMalloc( sizeof(LevelStruct) );
      yyval.LEVELDECL->id = yyvsp[-3].STRING;
      yyval.LEVELDECL->properties = yyvsp[-2].LIST;
      yyval.LEVELDECL->labels = yyvsp[0].LIST;
      yyval.LEVELDECL->no = levelCounter++;
      yyval.LEVELDECL->showflag = TRUE;
      yyval.LEVELDECL->useflag = TRUE;
      yyval.LEVELDECL->filename = parseCurrentFile;
      yyval.LEVELDECL->lineNo = parseLineNo;
    }
    break;

  case 87:
#line 1020 "parser.y"
    {
      yyLastValidFound( "lexical entry" );
      yywarning("Named lexical entries are deprecated.");
      yyval.LEXICONITEM = newLexiconItem(yyvsp[-2].STRING, yyvsp[0].VALUE, parseCurrentFile, parseLineNo);
    }
    break;

  case 88:
#line 1027 "parser.y"
    {
      Value v = (Value)memMalloc( sizeof(ValueStruct) );
      yyLastValidFound( "lexical entry" );
      v->type = VTConjunction;
      v->data.list = NULL;

      yyval.LEXICONITEM = newLexiconItem(yyvsp[-3].STRING, v, parseCurrentFile, parseLineNo);
    }
    break;

  case 89:
#line 1037 "parser.y"
    {
      Value v = (Value)memMalloc( sizeof(ValueStruct) );
      yyLastValidFound( "lexical entry" );
      v->type = VTConjunction;
      v->data.list = yyvsp[-1].LIST;

      yyval.LEXICONITEM = newLexiconItem(yyvsp[-4].STRING, v, parseCurrentFile, parseLineNo);
    }
    break;

  case 90:
#line 1047 "parser.y"
    {
      Value v = (Value)memMalloc( sizeof(ValueStruct) );
      yyLastValidFound( "template" );
      v->type = VTConjunction;
      v->data.list = yyvsp[-1].LIST;
      yyval.LEXICONITEM = newLexiconItem(strRegister(""), v, parseCurrentFile, parseLineNo);
      if( regcomp(&yyval.LEXICONITEM->re, yyvsp[-4].STRING, REG_EXTENDED)) {
        yyerror("Bad regular expression.");
      }
    }
    break;

  case 91:
#line 1061 "parser.y"
    { 
      yyLastValidFound( "parameter" );
      yyval.CONSTRAINT = (Constraint)memMalloc( sizeof(ConstraintStruct) );
      yyval.CONSTRAINT->vars = yyvsp[-5].VARLIST;
      yyval.CONSTRAINT->sig = NULL;
      yyval.CONSTRAINT->id = NULL;
      yyval.CONSTRAINT->section = NULL;
      yyval.CONSTRAINT->penalty = yyvsp[-2].NUMBER;
      yyval.CONSTRAINT->formula = yyvsp[0].FORMULA;

      yyval.CONSTRAINT->filename = parseCurrentFile;
      yyval.CONSTRAINT->lineNo = parseLineNo;
      variables = NULL;
    }
    break;

  case 92:
#line 1079 "parser.y"
    {
      yyLastValidFound( "path" );
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].STRING );
    }
    break;

  case 93:
#line 1084 "parser.y"
    {
      yyLastValidFound( "path" );
      yyval.LIST = listPrependElement( NULL, yyvsp[0].STRING );
    }
    break;

  case 94:
#line 1089 "parser.y"
    {
      yyLastValidFound( "path" );
      sprintf(buffer, "%d",(int)yyvsp[0].NUMBER);
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, strRegister( buffer ) );
    }
    break;

  case 95:
#line 1095 "parser.y"
    {
      yyLastValidFound( "path" );
      sprintf(buffer, "%d", (int)yyvsp[0].NUMBER);
      yyval.LIST = listPrependElement( NULL, strRegister( buffer ) );
    }
    break;

  case 96:
#line 1103 "parser.y"
    { yyval.FORMULATYPE = FTEqual; }
    break;

  case 97:
#line 1104 "parser.y"
    { yyval.FORMULATYPE = FTGreater; }
    break;

  case 98:
#line 1105 "parser.y"
    { yyval.FORMULATYPE = FTLess; }
    break;

  case 99:
#line 1106 "parser.y"
    { yyval.FORMULATYPE = FTGreaterEqual; }
    break;

  case 100:
#line 1107 "parser.y"
    { yyval.FORMULATYPE = FTLessEqual; }
    break;

  case 101:
#line 1108 "parser.y"
    { yyval.FORMULATYPE = FTNotEqual; }
    break;

  case 102:
#line 1113 "parser.y"
    {
      yyLastValidFound( "sort" );
      yyval.SORT = (Sort)memMalloc( sizeof( SortStruct ) );
      yyval.SORT->id = yyvsp[0].STRING;
      yyval.SORT->depth = hierarchyDepth;
      yyval.SORT->subsorts = NULL;
    }
    break;

  case 103:
#line 1120 "parser.y"
    { hierarchyDepth++; }
    break;

  case 104:
#line 1121 "parser.y"
    {
      /* this is tricky in that Hierarchydepth is messed with
	 during the expansion of the rule. Luckily the 
	 '(' disambiguates the context immediately. */
      hierarchyDepth--;
      yyLastValidFound( "sort" );
      yyval.SORT = (Sort)memMalloc( sizeof( SortStruct ) );
      yyval.SORT->id = yyvsp[-4].STRING;
      yyval.SORT->depth = hierarchyDepth;
      yyval.SORT->subsorts = yyvsp[-1].LIST;      
    }
    break;

  case 105:
#line 1136 "parser.y"
    {
      yyLastValidFound( "sort list" );
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].SORT );
    }
    break;

  case 106:
#line 1141 "parser.y"
    {
      yyLastValidFound( "sort list" );
      yyval.LIST = listPrependElement( NULL, yyvsp[0].SORT );
    }
    break;

  case 107:
#line 1149 "parser.y"
    {
      yyval.SPECIFICATION = newSpecification(STTag, yyvsp[-2].STRING, yyvsp[0].STRING, 0);
    }
    break;

  case 108:
#line 1153 "parser.y"
    {
      yyval.SPECIFICATION = newSpecification(STDep, yyvsp[-4].STRING, yyvsp[-2].STRING, yyvsp[0].NUMBER);
    }
    break;

  case 109:
#line 1160 "parser.y"
    {
      yyval.LIST = (List)NULL;
    }
    break;

  case 110:
#line 1164 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-1].LIST, yyvsp[0].SPECIFICATION );
    }
    break;

  case 111:
#line 1171 "parser.y"
    {
      yyval.SUBSUMPTION = (Subsumption)memMalloc( sizeof(SubsumptionStruct) );
      yyval.SUBSUMPTION->type = yyvsp[-2].STRING;
      yyval.SUBSUMPTION->subsumesFlag = TRUE;
      yyval.SUBSUMPTION->types = yyvsp[0].LIST;
      /*
      cdgPrintf(CDG_ERROR, "STR(%s) IMPL TypeSeq(", $1 );
      for ( variables = $3; variables != NULL; variables = listNext(variables) ) {
	cdgPrintf( CDG_ERROR, "%s ", (char *)listElement(variables) );
      }
      cdgPrintf( CDG_ERROR, ") found\n" );
      */
    }
    break;

  case 112:
#line 1185 "parser.y"
    {
      yyval.SUBSUMPTION = (Subsumption)memMalloc( sizeof(SubsumptionStruct) );
      yyval.SUBSUMPTION->types = yyvsp[0].LIST;
      yyval.SUBSUMPTION->subsumesFlag = FALSE;
      yyval.SUBSUMPTION->type = yyvsp[-2].STRING;
      /*
      cdgPrintf(CDG_ERROR, "TypeSeq(");
      for ( variables = $1; variables != NULL; variables = listNext(variables) ) {
	cdgPrintf( CDG_ERROR, "%s ", (char *)listElement(variables) );
      }
      cdgPrintf(CDG_ERROR, ") LPMI STR(%s) found\n", $3 );
      */
    }
    break;

  case 113:
#line 1202 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].SUBSUMPTION );
    }
    break;

  case 114:
#line 1206 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].SUBSUMPTION );
    }
    break;

  case 115:
#line 1213 "parser.y"
    {
      List l;

      yyLastValidFound( "term (^)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTTopPeek;
      yyval.TERM->data.peek.path = yyvsp[0].LIST;

      /* seek variable */
      for ( l = variables;
	    l != NULL && strcmp( yyvsp[-2].STRING, ((VarInfo)listElement(l))->varname ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: false use of undeclared variable `%s'\n", 
		  parseCurrentFile, parseLineNo, yyvsp[-2].STRING);
	parseNoOfErrors++;
	yyval.TERM->data.peek.varinfo = NULL;
      } else {
	yyval.TERM->data.peek.varinfo = listElement(l);
      }
      cdgFreeString( yyvsp[-2].STRING );
    }
    break;

  case 116:
#line 1239 "parser.y"
    {
      List l;

      yyLastValidFound( "term (@)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTBottomPeek;
      yyval.TERM->data.peek.path = yyvsp[0].LIST;

      /* seek variable */
      for ( l = variables;
	    l != NULL && strcmp( yyvsp[-2].STRING, ((VarInfo)listElement(l))->varname ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: false use of undeclared variable `%s'\n", 
		  parseCurrentFile, parseLineNo, yyvsp[-2].STRING);
	parseNoOfErrors++;
	yyval.TERM->data.peek.varinfo = NULL;
      } else {
	yyval.TERM->data.peek.varinfo = listElement(l);
      }
      cdgFreeString( yyvsp[-2].STRING );
    }
    break;

  case 117:
#line 1265 "parser.y"
    {
      List l;

      yyLastValidFound( "term (.label)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTLabel;

      /* seek variable */
      for ( l = variables;
	    l != NULL && strcmp( yyvsp[-2].STRING, ((VarInfo)listElement(l))->varname ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: false use of undeclared variable `%s'\n", 
		  parseCurrentFile, parseLineNo, yyvsp[-2].STRING);
	parseNoOfErrors++;
	yyval.TERM->data.label = NULL;
      } else {
	yyval.TERM->data.label = listElement(l);
      }
      cdgFreeString( yyvsp[-2].STRING );      
    }
    break;

  case 118:
#line 1290 "parser.y"
    {
      List l;

      yyLastValidFound( "term (.level)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTLevel;

      /* seek variable */
      for ( l = variables;
	    l != NULL && strcmp( yyvsp[-2].STRING, ((VarInfo)listElement(l))->varname ) != 0;
	    l = listNext(l) )
	/* empty body */
	;
      if ( l == NULL ) {
	cdgPrintf(CDG_ERROR,
		  "ERROR: %s:%d: false use of undeclared variable `%s'\n", 
		  parseCurrentFile, parseLineNo, yyvsp[-2].STRING);
	parseNoOfErrors++;
	yyval.TERM->data.level = NULL;
      } else {
	yyval.TERM->data.level = listElement(l);
      }
      cdgFreeString( yyvsp[-2].STRING );      
    }
    break;

  case 119:
#line 1315 "parser.y"
    {
      yyLastValidFound( "term (+)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTAdd;
      yyval.TERM->data.operation.op1 = yyvsp[-2].TERM;
      yyval.TERM->data.operation.op2 = yyvsp[0].TERM;
    }
    break;

  case 120:
#line 1323 "parser.y"
    {
      yyLastValidFound( "term (-)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTSubtract;
      yyval.TERM->data.operation.op1 = yyvsp[-2].TERM;
      yyval.TERM->data.operation.op2 = yyvsp[0].TERM;
    }
    break;

  case 121:
#line 1331 "parser.y"
    {
      yyLastValidFound( "term (*)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTMultiply;
      yyval.TERM->data.operation.op1 = yyvsp[-2].TERM;
      yyval.TERM->data.operation.op2 = yyvsp[0].TERM;
    }
    break;

  case 122:
#line 1339 "parser.y"
    {
      yyLastValidFound( "term (/)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTDivide;
      yyval.TERM->data.operation.op1 = yyvsp[-2].TERM;
      yyval.TERM->data.operation.op2 = yyvsp[0].TERM;
    }
    break;

  case 123:
#line 1347 "parser.y"
    {
      CDGFunction f;
      yyLastValidFound( "term (function)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTFunction;
      yyval.TERM->data.function.functor = yyvsp[-3].STRING;
      yyval.TERM->data.function.function = NULL;
      yyval.TERM->data.function.args = yyvsp[-1].LIST;

      f = funcGetFunction(yyvsp[-3].STRING);
      if (!f)
	{
	  cdgPrintf(CDG_ERROR,
		    "ERROR: %s:%d: function `%s' unknown\n", 
		    parseCurrentFile, parseLineNo, yyvsp[-3].STRING );
	  parseNoOfErrors++;
	} else {
          yyval.TERM->data.function.function = (PointerFunction *)f->function;
          if(f->is_context_sensitive) {
            is_context_sensitive = TRUE;
          }
        }
    }
    break;

  case 124:
#line 1371 "parser.y"
    {
      yyval.TERM = yyvsp[-1].TERM;
    }
    break;

  case 125:
#line 1375 "parser.y"
    {
      yyLastValidFound( "term (string)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTString;
      yyval.TERM->data.string = yyvsp[0].STRING;
    }
    break;

  case 126:
#line 1382 "parser.y"
    {
      yyLastValidFound( "term (number)" );
      yyval.TERM = (Term)memMalloc( sizeof(TermStruct) );
      yyval.TERM->type = TTNumber;
      yyval.TERM->data.number = yyvsp[0].NUMBER;
    }
    break;

  case 127:
#line 1392 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].TERM );
    }
    break;

  case 128:
#line 1396 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].TERM );
    }
    break;

  case 129:
#line 1403 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].STRING );
    }
    break;

  case 130:
#line 1407 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-1].LIST, yyvsp[0].STRING );
    }
    break;

  case 131:
#line 1414 "parser.y"
    {
      yyval.VALUE = (Value)memMalloc( sizeof(ValueStruct) );
      yyval.VALUE->type = VTNumber;
      yyval.VALUE->data.number = yyvsp[0].NUMBER;
    }
    break;

  case 132:
#line 1420 "parser.y"
    {
      yyval.VALUE = (Value)memMalloc( sizeof(ValueStruct) );
      yyval.VALUE->type = VTString;
      yyval.VALUE->data.string = yyvsp[0].STRING;
    }
    break;

  case 133:
#line 1426 "parser.y"
    { 
      yyval.VALUE = (Value)memMalloc( sizeof(ValueStruct) ); 
      yyval.VALUE->type = VTAVNode; 
      yyval.VALUE->data.avnode = (struct AVNodeStruct *)yyvsp[0].AVNODE; 
    }
    break;

  case 134:
#line 1432 "parser.y"
    {
      List l;

      yyval.VALUE = (Value)memMalloc( sizeof(ValueStruct) );
      yyval.VALUE->type = VTList;
      yyval.VALUE->data.list = yyvsp[-1].LIST;
      /*
       * Ok, ValueList are special purpose Values.
       * I just don't want to do the checks in `assessMatch'
       * because that would be runtime.
       */
      for ( l = yyvsp[-1].LIST; l != NULL; l = listNext(listNext(l)) ) {
	if ( listElement(l) == NULL || listNext(l) == NULL || listElement(listNext(l)) == NULL ) {
	  cdgPrintf(CDG_ERROR,
		    "ERROR: %s:%d: error in list of values, odd number of items\n",
		    parseCurrentFile, parseLineNo );	  
	  yyval.VALUE->data.list = NULL;
	  listForEachDelete( yyvsp[-1].LIST, freeValue );
          parseNoOfErrors++;
	  break;
	}
	if ( ((Value)listElement(l))->type != VTString ) {
	  cdgPrintf(CDG_ERROR,
		    "ERROR: %s:%d: error in list of values, not a string\n",
		    parseCurrentFile, parseLineNo );	  
	  yyval.VALUE->data.list = NULL;
	  listForEachDelete( yyvsp[-1].LIST, freeValue );
          parseNoOfErrors++;
	  break;
	}
	if ( ((Value)listElement(listNext(l)))->type != VTNumber ) {
	  cdgPrintf(CDG_ERROR,
		    "ERROR: %s:%d: error in list of values, not a number\n",
		    parseCurrentFile, parseLineNo );	  
	  yyval.VALUE->data.list = NULL;
	  listForEachDelete( yyvsp[-1].LIST, freeValue );
          parseNoOfErrors++;
	  break;
	}
      }
    }
    break;

  case 135:
#line 1474 "parser.y"
    {
      yyval.VALUE = (Value)memMalloc( sizeof(ValueStruct) );
      yyval.VALUE->type = VTConjunction;
      yyval.VALUE->data.list = yyvsp[-1].LIST;
    }
    break;

  case 136:
#line 1480 "parser.y"
    {
      yyval.VALUE = (Value)memMalloc( sizeof(ValueStruct) );
      yyval.VALUE->type = VTDisjunction;
      yyval.VALUE->index = 0;
      yyval.VALUE->data.list = yyvsp[-1].LIST;
    }
    break;

  case 137:
#line 1487 "parser.y"
    {
      yyval.VALUE = (Value)memMalloc( sizeof(ValueStruct) );
      yyval.VALUE->type = VTDisjunction;
      yyval.VALUE->index = yyvsp[-3].NUMBER;
      yyval.VALUE->data.list = yyvsp[-1].LIST;
    }
    break;

  case 138:
#line 1497 "parser.y"
    {
      yyval.LIST = listAppendElement( yyvsp[-2].LIST, yyvsp[0].VALUE );
    }
    break;

  case 139:
#line 1501 "parser.y"
    {
      yyval.LIST = listPrependElement( NULL, yyvsp[0].VALUE );
    }
    break;

  case 140:
#line 1508 "parser.y"
    {
      yyLastValidFound( "variable declaration" );
      yyval.VARINFO = (VarInfo)memMalloc( sizeof(VarInfoStruct) );
      yyval.VARINFO->varname = yyvsp[-2].STRING;
      yyval.VARINFO->levelname = yyvsp[0].STRING;
      yyval.VARINFO->level = NULL;
      yyval.VARINFO->levelvalue = NULL;
      yyval.VARINFO->dir = yyvsp[-1].DIRECTION;
   }
    break;

  case 141:
#line 1518 "parser.y"
    {
      yyLastValidFound( "variable declaration" );
      yyval.VARINFO = (VarInfo)memMalloc( sizeof(VarInfoStruct) );
      yyval.VARINFO->varname = yyvsp[-1].STRING;
      yyval.VARINFO->levelname = NULL;
      yyval.VARINFO->level = NULL;
      yyval.VARINFO->levelvalue = NULL;
      yyval.VARINFO->dir = yyvsp[0].DIRECTION;
   }
    break;

  case 142:
#line 1528 "parser.y"
    {
      yyLastValidFound( "variable declaration" );
      yyval.VARINFO = (VarInfo)memMalloc( sizeof(VarInfoStruct) );
      yyval.VARINFO->varname = yyvsp[0].STRING;
      yyval.VARINFO->levelname = NULL;
      yyval.VARINFO->level = NULL;
      yyval.VARINFO->levelvalue = NULL;
      yyval.VARINFO->dir = AnyDir;
   }
    break;

  case 143:
#line 1541 "parser.y"
    {
      variables = listAppendElement(listAppendElement( NULL, yyvsp[-2].VARINFO ), yyvsp[0].VARINFO);
      theConnexion = yyvsp[-1].CONNEXION;
      yyval.VARLIST = variables;
    }
    break;

  case 144:
#line 1547 "parser.y"
    {
      variables = listPrependElement( NULL, yyvsp[0].VARINFO );
      theConnexion = AnyCon;
      yyval.VARLIST = variables;
    }
    break;


    }

/* Line 999 of yacc.c.  */
#line 3017 "parser.c"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("syntax error, unexpected ") + 1;
	  yysize += yystrlen (yytname[yytype]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* Return failure if at end of input.  */
      if (yychar == YYEOF)
        {
	  /* Pop the error token.  */
          YYPOPSTACK;
	  /* Pop the rest of the stack.  */
	  while (yyss < yyssp)
	    {
	      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
	      yydestruct (yystos[*yyssp], yyvsp);
	      YYPOPSTACK;
	    }
	  YYABORT;
        }

      YYDSYMPRINTF ("Error: discarding", yytoken, &yylval, &yylloc);
      yydestruct (yytoken, &yylval);
      yychar = YYEMPTY;

    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*----------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action.  |
`----------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
      yydestruct (yystos[yystate], yyvsp);
      yyvsp--;
      yystate = *--yyssp;

      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;


  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 1554 "parser.y"


/* ----------------------------------------------------------------------
 * extract lines from a file and print them
 */
void linex(String name, int from, int to)
{
#define LINEXMAXLINE 4096
  FILE *f=NULL;
  char buffer[LINEXMAXLINE];
  int lno=0;
  
  f=fopen(name, "r");
  if (!f)
    {
      cdgPrintf(CDG_WARNING, "WARNING: linex: can't open `%s'\n", name);
      return;
    }

  while (!feof(f))
    {
      if (!fgets(buffer, LINEXMAXLINE, f)) { break; }

      if (buffer[strlen(buffer)-1]=='\n') { lno++; }

      if (strlen(buffer)>=LINEXMAXLINE-1)
	{
	  buffer[LINEXMAXLINE-6]=' ';
	  buffer[LINEXMAXLINE-5]='.';
	  buffer[LINEXMAXLINE-4]='.';
	  buffer[LINEXMAXLINE-3]='.';
	  buffer[LINEXMAXLINE-2]='\n';
	  buffer[LINEXMAXLINE-1]='\0';
	}
      if (lno>=from) { cdgPrintf(CDG_DEFAULT, "%s", buffer); }
      if (lno>=to) { break; }
    }
  fclose(f);
}

/* ----------------------------------------------------------------------
 * print error message
 */
void yyerror( String s )
{
  int from, to;
  
  /* display the part of the file in error */
  if((hkVerbosity & CDG_ERROR) != 0) {
    
    from = lastValidLineNo;

    /* if the error occured at the beginning of a line,
       parseLineNo does not point to the actual error line yet.
       So we display one more line just to make sure the output
       will be useful at all. */
    to = parseLineNo+1;

    /* display at least ten lines of context for the error */
    if(from + 10 > to) {  from = to -10; }
    /* linex doesn't like indices < 1 */
    if(from < 1) { from = 1; }
    linex(parseCurrentFile, from, to);
  }

  if ( strcmp( s, "parse error" ) == 0 ) {
    if ( lastValidFound != NULL ) 
      cdgPrintf(CDG_ERROR,
	 "ERROR: %s:%d: parse error behind a %s in line %d\n",
    	 parseCurrentFile, parseLineNo, lastValidFound, lastValidLineNo );
    else 
      cdgPrintf(CDG_ERROR,
	 "ERROR: %s:%d: parse error\n", parseCurrentFile, parseLineNo );      
  } else {
    cdgPrintf(CDG_ERROR,
      "ERROR: %s:%d: %s\n", parseCurrentFile, parseLineNo, s );
  }
  parseNoOfErrors++;
}

/* ----------------------------------------------------------------------
 * print warning message
 */
void yywarning( String s )
{
  static String lastWarning = NULL;
  static int repetitions = 0;

  s = strRegister(s);
  
  /* conflate consecutive warnings, daemon style */
  if(s == lastWarning) {
    repetitions++;
  } else {
    if(repetitions) {
      cdgPrintf(CDG_WARNING, "Last warning repeated %d times.\n", repetitions);
      repetitions = 0;
    }
    cdgPrintf(CDG_WARNING,
              "WARNING: %s:%d: %s\n", parseCurrentFile, parseLineNo, s );
  }
  parseNoOfWarnings++;
  lastWarning = s;
}

/* ----------------------------------------------------------------------
 * remember last valid structure found
 */
void yyLastValidFound( String s )
{
  lastValidFound = s;
  lastValidLineNo = parseLineNo;
}


