/*
 * File: cdgtest.c
 * Author: Horia F. Pop,
 * Purpose: C file for cdg test program
 * Birth: February 11, 2000
 * Changes:
 */

/* -- INCLUDES ---------------------------------------------------------- */
#include <assert.h>
#include "configure.h"
#include "cdg.h"
#include "hook.h"
#include "command.h"

/* -- MACROS ------------------------------------------------------------ */

/* -- TYPE DEFINITIONS -------------------------------------------------- */

/* -- VARIABLES --------------------------------------------------------- */

/* -- FUNCTIONS --------------------------------------------------------- */

void testCmdEval(String command) 
{
  assert(commandEval(command));
}  

int main(void)
{
  cdgInitialize();
  testCmdEval("set verbosity 0");
  testCmdEval("status");
  cdgFinalize();

  return 0;
}

/* ---------------------------------------------------------------------- */
/* -- ENDOFFILE --------------------------------------------------------- */


