#!/bin/bash

# Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


prefix=@prefix@
YADA_LIB=@yadadir@
YADA_GRAMMARS=@datadir@/cdg/grammars
YADA_PATH=$HOME/yada
YADA_CDGP=/home/ddreyer/yada/bin/cdgp_static # <!>
YADA_DATA=$HOME/yada/data/documents # $YADA_PATH/data <!>
YADA_TMP=$YADA_PATH/tmp
YADA_ETC=$YADA_PATH/etc
YADA_EDITOR=gvim

export YADA_LIB YADA_GRAMMARS YADA_CDGP YADA_PATH YADA_EDITOR
export YADA_DATA YADA_TMP YADA_ETC

exec wish $YADA_LIB/yada.tcl $*
